> ## Documentation Index
> Fetch the complete documentation index at: https://docs.novita.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Stable Diffusion 3 Medium

Stability AI recently released the weights for Stable Diffusion 3 Medium, a 2 billion parameter text-to-image model that excels at photorealism, typography, and prompt adherence.

Now you can run the official Stable Diffusion 3 Medium model on Novita AI.

You can try this model at the [Playground](https://novita.ai/model-api/product/sd3), or integrate it into your product using the Novita Model APIs.

## API Request Example

```bash theme={"system"}
curl --location 'https://api.novita.ai/v3/async/txt2img' \
--header 'Authorization: Bearer {{API Key}}' \
--header 'Content-Type: application/json' \
--data '{
    "extra": {
        "response_image_type": "jpeg"
    },
    "request": {
        "model_name": "sd3_base_medium.safetensors",
        "prompt": "A heart logo with the text \"Novita AI\" on it",
        "width": 1024,
        "height": 1024,
        "image_num": 1,
        "steps": 28,
        "seed": -1,
        "clip_skip": 1,
        "guidance_scale": 4.5,
        "sampler_name": "FlowMatchEuler"
    }
}'
```

## Please Note

1. Currently, only the checkpoint `sd3_base_medium.safetensors` is available for Stable Diffusion 3, and no LoRAs or ControlNets are supported.
2. You can only use the sampler `FlowMatchEuler` for Stable Diffusion 3.

## Best Practices for Stable Diffusion 3

1. The longer and more complex the prompt, the more likely something will be missing.
2. Please avoid using negative prompts, as they are ineffective.
3. Suggested parameters:
   * Steps: Use around 28 steps.
   * Guidance Scale: Set between 3.5 and 4.5 for balanced adherence and image quality.
   * Resolution: Use resolutions around 1 megapixel, ensuring they are divisible by 64.
